curl --request POST \
--url https://sandbox.intermezzo.ai/organizations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"legalName": "<string>",
"legalAddress": "<string>",
"bankAccounts": [
{
"financialInstitutionName": "<string>",
"accountNumber": "DE89370400440532013000",
"routingNumber": "<string>",
"iban": "<string>",
"isActive": true,
"isPrimary": false
}
]
}
'{
"legalName": "<string>",
"legalAddress": "<string>",
"registrationCountry": "DE",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"workSites": [
{
"name": "<string>",
"address": "<string>",
"isActive": true,
"isPrimary": true,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"validFrom": "2023-12-25",
"validTo": "2023-12-25",
"correspondenceAddress": "<string>",
"orgId": "<string>",
"contacts": [
{
"name": "<string>",
"id": "<string>",
"email": "jsmith@example.com",
"phone": {
"phoneNumber": "<string>",
"phoneType": "mobile"
},
"roles": []
}
],
"taxIdentifiers": [],
"insuranceData": []
}
],
"bankAccounts": [
{
"financialInstitutionName": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"accountNumber": "DE89370400440532013000",
"routingNumber": "<string>",
"iban": "<string>",
"isActive": true,
"isPrimary": false
}
],
"validFrom": "2023-12-25",
"validTo": "2023-12-25",
"correspondenceAddress": "<string>",
"dbaName": "<string>",
"incorporationDate": "2023-12-25",
"website": "<string>",
"externalRef": "<string>",
"shutdownDate": "2023-12-25",
"contacts": [
{
"name": "<string>",
"id": "<string>",
"email": "jsmith@example.com",
"phone": {
"phoneNumber": "<string>",
"phoneType": "mobile"
},
"roles": []
}
],
"taxIdentifiers": [],
"insuranceData": [],
"sepaMandates": [],
"preferences": {
"isInsolvent": false,
"insolvencyStartDate": "2023-12-25",
"insolvencyEndDate": "2023-12-25",
"insolvencyCompanyNumber": "<string>",
"insuranceSubsidyMethod": "remuneration",
"extraPaidLeaveDays": 123,
"insuranceCreditPreference": "<string>",
"firstPayrollDate": "2023-12-25",
"lastPayrollDate": "2023-12-25",
"firstPayrollIntermezzo": "2023-12-25",
"daysForSicknessCertificate": 4,
"additionalChildcareSickDaysReason": 0
}
}curl --request POST \
--url https://sandbox.intermezzo.ai/organizations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"legalName": "<string>",
"legalAddress": "<string>",
"bankAccounts": [
{
"financialInstitutionName": "<string>",
"accountNumber": "DE89370400440532013000",
"routingNumber": "<string>",
"iban": "<string>",
"isActive": true,
"isPrimary": false
}
]
}
'{
"legalName": "<string>",
"legalAddress": "<string>",
"registrationCountry": "DE",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"workSites": [
{
"name": "<string>",
"address": "<string>",
"isActive": true,
"isPrimary": true,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"validFrom": "2023-12-25",
"validTo": "2023-12-25",
"correspondenceAddress": "<string>",
"orgId": "<string>",
"contacts": [
{
"name": "<string>",
"id": "<string>",
"email": "jsmith@example.com",
"phone": {
"phoneNumber": "<string>",
"phoneType": "mobile"
},
"roles": []
}
],
"taxIdentifiers": [],
"insuranceData": []
}
],
"bankAccounts": [
{
"financialInstitutionName": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"accountNumber": "DE89370400440532013000",
"routingNumber": "<string>",
"iban": "<string>",
"isActive": true,
"isPrimary": false
}
],
"validFrom": "2023-12-25",
"validTo": "2023-12-25",
"correspondenceAddress": "<string>",
"dbaName": "<string>",
"incorporationDate": "2023-12-25",
"website": "<string>",
"externalRef": "<string>",
"shutdownDate": "2023-12-25",
"contacts": [
{
"name": "<string>",
"id": "<string>",
"email": "jsmith@example.com",
"phone": {
"phoneNumber": "<string>",
"phoneType": "mobile"
},
"roles": []
}
],
"taxIdentifiers": [],
"insuranceData": [],
"sepaMandates": [],
"preferences": {
"isInsolvent": false,
"insolvencyStartDate": "2023-12-25",
"insolvencyEndDate": "2023-12-25",
"insolvencyCompanyNumber": "<string>",
"insuranceSubsidyMethod": "remuneration",
"extraPaidLeaveDays": 123,
"insuranceCreditPreference": "<string>",
"firstPayrollDate": "2023-12-25",
"lastPayrollDate": "2023-12-25",
"firstPayrollIntermezzo": "2023-12-25",
"daysForSicknessCertificate": 4,
"additionalChildcareSickDaysReason": 0
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
"DE"255Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Successful Response
Enum for CountryAlpha2 codes
DE, IE, GB, US, GB Show child attributes
Show child attributes
255Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?